package com.example.photosynthproj;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.webkit.WebView;

public class DisplayResultsActivity extends Activity {
	WebView webview;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Intent i=getIntent();
		int id=i.getExtras().getInt("id");
		String StringId=String.valueOf(id);
		String url="http://photosynq.venturit.org/projects/1/data/"+StringId+"-"+StringId;
		
		setContentView(R.layout.activity_display_results);
		 webview = (WebView) findViewById(R.id.webView1);
		 webview.loadUrl(url);
		
	}
	
	public void exit_click(View view)
	{
		Intent intent=new Intent(this, ResearchProjActivity.class);
		startActivity(intent);
	}
	
	public void new_measurement_click(View view)
	{
		Intent intent=new Intent(this, BluetoothActivity.class);
		startActivity(intent);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_display_results, menu);
		return true;
	}

}
